//xsetaseta@gmail.com
//Libreria RF24master  Copyright (C) 2011 J. Coliz <maniacbug@ymail.com>
//    17/11/2017
  #include <SPI.h> 
  #include <nRF24L01.h>
  #include <RF24.h>

  #define CE 8
  #define CSN 7

  RF24 radio(CE, CSN);

  const uint64_t tuberia = 0xE8E8F0F0E1LL;
  char dato[20];

  #define PIN_D02 2
  #define PIN_D03 3
  #define PIN_D04 4
  #define PIN_D05 5
  
  bool done;
  int z;
  
  
void setup() 
  {
    Serial.begin(9600);
    Serial.println("Receptor");
    radio.begin();
    radio.setChannel(50);  
    radio.openReadingPipe(1, tuberia); 
    radio.startListening(); 
    pinMode(PIN_D02,OUTPUT);
    pinMode(PIN_D03,OUTPUT);
    pinMode(PIN_D04,OUTPUT);
    pinMode(PIN_D05,OUTPUT);
  
    digitalWrite(PIN_D02, HIGH);
    digitalWrite(PIN_D03, HIGH);
    digitalWrite(PIN_D04, HIGH);
    digitalWrite(PIN_D05, HIGH); 
  }
  
void loop(void)
{ 
  delay(1);
  z++;
  if(z>100)
  {
    digitalWrite(PIN_D02, HIGH);
    digitalWrite(PIN_D03, HIGH);
    digitalWrite(PIN_D04, HIGH);
    digitalWrite(PIN_D05, HIGH);
     z=0;
  }
  
  while(radio.available()) 
    {
      radio.read(dato, 7);
      Serial.println(dato);
      done=1;  
    }
  if (done)
      {   
        if(!strcmp(dato,"IZQUI_"))
        {
           //digitalWrite(PIN_D02, LOW);
           digitalWrite(PIN_D02, HIGH);
           digitalWrite(PIN_D03, HIGH);
           digitalWrite(PIN_D04, HIGH);
           digitalWrite(PIN_D05, LOW);          
           z=0;
           goto salto;
        }
        if(!strcmp(dato,"ADELA_"))
        {
           digitalWrite(PIN_D02, HIGH);
           digitalWrite(PIN_D03, LOW);
           digitalWrite(PIN_D04, HIGH);
           digitalWrite(PIN_D05, LOW);
           
           z=0; 
           goto salto;
        }
        if(!strcmp(dato,"ATRAS_"))
        {
           digitalWrite(PIN_D02, LOW);
           digitalWrite(PIN_D03, HIGH);
           digitalWrite(PIN_D04, LOW);
           digitalWrite(PIN_D05, HIGH);
           
           z=0;
           goto salto;
        }
        if(!strcmp(dato,"DEREC_"))
        {
           digitalWrite(PIN_D02, HIGH);
           digitalWrite(PIN_D03, LOW);
           //digitalWrite(PIN_D04, LOW);
           digitalWrite(PIN_D04, HIGH);
           digitalWrite(PIN_D05, HIGH);
           z=0;
           goto salto;
        }
        
        if(!strcmp(dato,"STOP__"))
        {
          digitalWrite(PIN_D02, HIGH);
          digitalWrite(PIN_D03, HIGH);
          digitalWrite(PIN_D04, HIGH);
          digitalWrite(PIN_D05, HIGH);
          z=0;
        }

salto:
        done=0;
      }
}

